de.esprit.netsuite.netdata

## Class ServerId

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.ServerId

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public final class ServerId
      extends TransferableObject
      implements Renderable

  This is the initial object the server sends to the client when connected.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CO_SERVER_RECONNECT_DELAY`
    `static java.lang.String` | `SERVER_LOG_DIR`
    `static java.lang.String` | `SERVER_ROOT_DIR`
    `static java.lang.String` | `VENDOR_NAME`
    `static java.lang.String` | `VENDOR_SITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerId(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerId` | `deepClone()` Returns a deep clone of this object
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getCoServerReconnectDelay()` Returns the co-server reconnect delay in seconds
    `int` | `getDefaultAsyncAgentTimeout()`
    `OsArchitecture` | `getOsArchitecture()`
    `OsInfo` | `getOsInfo()`
    `java.lang.String` | `getOsName()`
    `OsType` | `getOsType()`
    `java.lang.String` | `getProperty(java.lang.String key)`
    `int` | `getPropertyAsInt(java.lang.String key)`
    `java.util.Set<java.lang.String>` | `getPropertyNames()`
    `java.awt.Color` | `getRenderColor()`
    `javax.swing.Icon` | `getRenderIcon()`
    `java.lang.String` | `getRenderText()`
    `int` | `getResourceLockTimeout()`
    `java.io.File` | `getServerLogDir()`
    `java.lang.String` | `getServerName()`
    `java.io.File` | `getServerRootDir()`
    `int` | `getWebServicePort()`
    `int` | `hashCode()`
    `boolean` | `isDatabaseConnected()`
    `boolean` | `isEmptyPasswordAllowed()`
    `boolean` | `isWebServiceAvailable()`
    `void` | `putProperty(java.lang.String key, int value)`
    `void` | `putProperty(java.lang.String key, java.lang.String value)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SERVER_ROOT_DIR

          public static final java.lang.String SERVER_ROOT_DIR

      See Also:
        Constant Field Values

    - #### SERVER_LOG_DIR

          public static final java.lang.String SERVER_LOG_DIR

      See Also:
        Constant Field Values

    - #### VENDOR_NAME

          public static final java.lang.String VENDOR_NAME

      See Also:
        Constant Field Values

    - #### VENDOR_SITE

          public static final java.lang.String VENDOR_SITE

      See Also:
        Constant Field Values

    - #### CO_SERVER_RECONNECT_DELAY

          public static final java.lang.String CO_SERVER_RECONNECT_DELAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServerId

          public ServerId(ServerContext serverCtx)

  - ### Method Detail

    - #### getServerRootDir

          public java.io.File getServerRootDir()

    - #### getServerLogDir

          public java.io.File getServerLogDir()

    - #### getCoServerReconnectDelay

          public int getCoServerReconnectDelay()

      Returns the co-server reconnect delay in seconds

    - #### putProperty

          public void putProperty(java.lang.String key,
                         int value)

    - #### putProperty

          public void putProperty(java.lang.String key,
                         java.lang.String value)

    - #### getProperty

          public java.lang.String getProperty(java.lang.String key)

    - #### getPropertyAsInt

          public int getPropertyAsInt(java.lang.String key)

    - #### getPropertyNames

          public java.util.Set<java.lang.String> getPropertyNames()

    - #### getServerName

          public java.lang.String getServerName()

    - #### getOsName

          public java.lang.String getOsName()

    - #### getOsType

          public OsType getOsType()

    - #### getOsArchitecture

          public OsArchitecture getOsArchitecture()

    - #### getOsInfo

          public OsInfo getOsInfo()

    - #### getWebServicePort

          public int getWebServicePort()

    - #### isWebServiceAvailable

          public boolean isWebServiceAvailable()

    - #### isEmptyPasswordAllowed

          public boolean isEmptyPasswordAllowed()

    - #### getResourceLockTimeout

          public int getResourceLockTimeout()

    - #### getDefaultAsyncAgentTimeout

          public int getDefaultAsyncAgentTimeout()

    - #### isDatabaseConnected

          public boolean isDatabaseConnected()

    - #### getRenderColor

          public java.awt.Color getRenderColor()

      Specified by:
        `getRenderColor` in interface `Renderable`

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

      Specified by:
        `getRenderIcon` in interface `Renderable`

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deepClone

          public ServerId deepClone()

      Description copied from interface: `DeepCloneable`
      Returns a deep clone of this object
      Specified by:
        `deepClone` in interface `DeepCloneable`
      Overrides:
        `deepClone` in class `TransferableObject`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.